# Method: networks.vehicles.makeAvailable

Makes a vehicle available.

### HTTP request

`POST https://middlemileoptimization.googleapis.com/v1/{name=networks/*/vehicles/*}:makeAvailable`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the vehicle to make available. Format: "networks/{network}/vehicle/{vehicle}" |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "availabilityStarts": [ { object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/DateTime`) } ] } ``` |

| Fields ||
|---|---|
| `availabilityStarts[]` | ``object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/DateTime`)`` Required. The periods where availability will start. They must be points in time in the future. If this field is absent, availability starts when the message is received. |

### Response body

The response message for `vehicles.makeAvailable` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "path": [ { object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/Path`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` The name of the vehicle whose availability was updated. Format: "networks/{network}/vehicles/{vehicle}" |
| `path[]` | ``object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/Path`)`` The paths that were updated. |